
QGIS Application - Bug report #19044

Everytime error

2018-05-28 03:07 PM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26874

Description

AttributeError: type object 'QgsMessageBar' has no attribute 'SUCCESS' 

Traceback (most recent call last):

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\autoSaver\autosave.py", line 366, in cronEvent

    self.saveCurrentProject()

  File "C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\autoSaver\autosave.py", line 396, in

saveCurrentProject

    self.iface.messageBar().pushMessage("Autosave", u"project autosaved to: "+bakFileName,

level=qgis.gui.QgsMessageBar.SUCCESS, duration=10 )

AttributeError: type object 'QgsMessageBar' has no attribute 'SUCCESS'

Версия Python: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

Версия: 3.0.3-Girona Girona, 8a899c8758

Расположение Python:

C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.0/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.0\bin\python36.zip

C:\PROGRA~1\QGIS3~1.0\apps\Python36\DLLs

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib

C:\Program Files\QGIS 3.0\bin

C:\PROGRA~1\QGIS3~1.0\apps\Python36

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.0\apps\Python36\lib\site-packages\Pythonwin

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Андрей/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\MultiDistanceBuffer

C:\Users\Андрей\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\shapetools\ext-libs

History

#1 - 2018-05-28 03:10 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

3rd party plugins errors must be reported in their specific bug tracker. Thanks!
